<div class="item-list">
  <h2>
    {{title}}
    <i
      v-show="refreshing"
      class="fa fa-refresh fa-spin"
      ></i>
  </h2>
  <div
    class="input-group"
    v-if="canAdd"
    >
    <input
      type="text"
      class="form-control"
      :placeholder="'name of the '+name+' to add/remove'"
      v-model="target"
      :list="suggestionId"
      @keyup.enter="toggle"
      >
    <span class="input-group-btn">
      <button
        :class="{
          'btn': true,
          'btn-danger': targetExists,
          'btn-success': !targetExists,
          'disabled': !target,
        }"
        type="button"
        @click="toggle"
        >
        <i :class="(targetExists ? 'fa-minus' : 'fa-plus') | iconPrefix"></i>
        {{ targetExists ? 'Remove' : 'Add' }}</button>
    </span>
  </div>
  <div class="input-group" >
    <span class="input-group-addon">Filter</span>
    <item-filter
      :name="name"
      v-ref:filter
      ></item-filter>
  </div>
  <ul class="list-group">
    <item
      v-for="info in filtered | orderBy 'name'"
      :url="itemUrl"
      :info="info"
      :name="name"
      :can-mod-item="canModItem"
      :class="{
        'can-browse': canBrowse,
      }"
      @click="canBrowse && !$event.defaultPrevented && $dispatch('go', name, info.name)"
      ></item>
    <li v-if="empty" class="list-group-item">
      <i>Empty</i>
    </li>
    <li v-if="numFiltered" class="list-group-item">
      <i>Filtered out {{numFilteredInfo}}</i>
    </li>
  </ul>
</div>
